Subject: bug#39351: One failed self test on CentOS 5

From: Jeffrey Walton <[email-masked]>
Date: Thu, 30 Jan 2020 03:55:23 -0500

On Thu, Jan 30, 2020 at 2:25 AM Assaf Gordon <[email-masked]> wrote:
>
> close 39351
> stop
>
> Hello,
>
> Thanks for the report.
>
> On 2020-01-29 6:21 p.m., Jeffrey Walton wrote:
> > I'm working on CentOS 5, x86_64. I'm building Sed 4.8 from the release
> > tarball. I'm catching one self-test failure:
>
> CentOS 5 was end-of-life'd in 2017 - so fixing bugs for it isn't
> a high priority (
> https://en.wikipedia.org/wiki/CentOS#End-of-support_schedule ).
>
> However,
>
> >      $ cat sed-4.8/gnulib-tests/test-suite.log
> [...]
> >      FAIL: test-strverscmp
> >      =====================
> >      test-strverscmp.c:52: assertion 'strverscmp (a, c) < 0' failed
> >      FAIL test-strverscmp (exit status: 134)
>
> This is a test failure in gnulib - a component library used by sed.
>
> sed uses the strverscmp() function only in one rarely used GNU extension
> (the "v" command) and it is extremely unlikely to affect any real-world
> scenarios of using sed.
>
> GNU sed itself did not fail any tests on your system, and it is OK to
> use it.
>
> As such, I'm closing this bug report, but discussion can continue
> by replying to this thread.

Thanks Assaf.

Can you confirm Sed is using the latest Gnulib as of Sed's release
date? I.e., https://www.gnu.org/software/gnulib/manual/html_node/Simple-update.html
.

I want to ensure I am not chasing something that's already been fixed.

Jeff